class SubmitProspectListFilterResponse {
  List<AccountsList>? accountsList;
  String? error;
  String? message;

  SubmitProspectListFilterResponse(
      {this.accountsList, this.error, this.message});

  SubmitProspectListFilterResponse.fromJson(Map<String, dynamic> json) {
    if (json['accounts_list'] != null) {
      accountsList = <AccountsList>[];
      json['accounts_list'].forEach((v) {
        accountsList!.add(new AccountsList.fromJson(v));
      });
    }
    error = json['error'];
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.accountsList != null) {
      data['accounts_list'] =
          this.accountsList!.map((v) => v.toJson()).toList();
    }
    data['error'] = this.error;
    data['message'] = this.message;
    return data;
  }
}

class AccountsList {
  String? gstNumber;
  String? adate;
  String? accman;
  String? mob1;
  String? cname;
  String? address;
  String? aid;
  String? aname;
  String? age;

  AccountsList(
      {this.gstNumber,
        this.adate,
        this.accman,
        this.mob1,
        this.cname,
        this.address,
        this.aid,
        this.aname,
        this.age});

  AccountsList.fromJson(Map<String, dynamic> json) {
    gstNumber = json['gst_number'];
    adate = json['adate'];
    accman = json['accman'];
    mob1 = json['mob1'];
    cname = json['cname'];
    address = json['address'];
    aid = json['aid'];
    aname = json['aname'];
    age = json['age'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['gst_number'] = this.gstNumber;
    data['adate'] = this.adate;
    data['accman'] = this.accman;
    data['mob1'] = this.mob1;
    data['cname'] = this.cname;
    data['address'] = this.address;
    data['aid'] = this.aid;
    data['aname'] = this.aname;
    data['age'] = this.age;
    return data;
  }
}
